Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I am getting a message when I first get ready to use firefox and there is a warning to upgrade my firefox because old firefox can get attacks. Is this legit or a scam?

more options

can't remember exact wordage of statement

All Replies (1)

more options

That is a legitimate message from Mozilla. Support has ended for Firefox 3.5.19. You need to upgrade to a newer version of Firefox. The hyperlink takes you to a download page for Firefox 4.0.1 and Firefox 3.6.17 is available here - http://www.mozilla.com/en-US/firefox/all-older.html